import { handleRequest } from './module/index.ts';
import { config } from './module/config.ts';
import { app } from './app.ts';
import './route/route.ts';
const port = config?.proxy?.port || 3005;

app
  .route({
    path: 'hello',
    key: '0',
  })
  .define(async (ctx) => {
    ctx.body = 'hello world';
  })
  .addTo(app);

app.listen(port, () => {
  console.log(`Server running at http://localhost:${port}/`);
});

app.server.on(handleRequest);
