import http from 'http';

export const getDNS = (req: http.IncomingMessage) => {
  const hostName = req.headers.host;
  const ip = req.socket.remoteAddress;
  return { hostName, ip };
};

export const isLocalhost = (hostName: string) => {
  return hostName.includes('localhost') || hostName.includes('192.168');
};
